// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// Optional.  Contains properties that specify a domain to which the
    /// virtual machine will be joined. This element is only used with the
    /// WindowsProvisioningConfiguration set.
    /// </summary>
    public partial class DomainJoinSettings
    {
        private DomainJoinCredentials _credentials;
        
        /// <summary>
        /// Optional. Specifies the values to use to join the virtual machine
        /// to the domain.
        /// </summary>
        public DomainJoinCredentials Credentials
        {
            get { return this._credentials; }
            set { this._credentials = value; }
        }
        
        private string _domainToJoin;
        
        /// <summary>
        /// Optional. Specifies the domain to join.
        /// </summary>
        public string DomainToJoin
        {
            get { return this._domainToJoin; }
            set { this._domainToJoin = value; }
        }
        
        private string _ldapMachineObjectOU;
        
        /// <summary>
        /// Optional. Specifies the Lightweight Directory Access Protocol
        /// (LDAP) X 500-distinguished name of the organizational unit (OU) in
        /// which the computer account is created. This account is in Active
        /// Directory on a domain controller in the domain to which the
        /// computer is being joined.  Example:
        /// OU=MyOu,OU=MyParentOu,DC=example.com,DC=MyCompany,DC=com
        /// </summary>
        public string LdapMachineObjectOU
        {
            get { return this._ldapMachineObjectOU; }
            set { this._ldapMachineObjectOU = value; }
        }
        
        private DomainJoinProvisioning _provisioning;
        
        /// <summary>
        /// Additional information for domain join provisioning.
        /// </summary>
        public DomainJoinProvisioning Provisioning
        {
            get { return this._provisioning; }
            set { this._provisioning = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the DomainJoinSettings class.
        /// </summary>
        public DomainJoinSettings()
        {
        }
    }
}
