// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// The List Service Certificates operation response.
    /// </summary>
    public partial class ServiceCertificateListResponse : OperationResponse, IEnumerable<ServiceCertificateListResponse.Certificate>
    {
        private IList<ServiceCertificateListResponse.Certificate> _certificates;
        
        /// <summary>
        /// The service certificates that are valid for your subscription.
        /// </summary>
        public IList<ServiceCertificateListResponse.Certificate> Certificates
        {
            get { return this._certificates; }
            set { this._certificates = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the ServiceCertificateListResponse
        /// class.
        /// </summary>
        public ServiceCertificateListResponse()
        {
            this._certificates = new List<ServiceCertificateListResponse.Certificate>();
        }
        
        /// <summary>
        /// Gets the sequence of Certificates.
        /// </summary>
        public IEnumerator<ServiceCertificateListResponse.Certificate> GetEnumerator()
        {
            return this.Certificates.GetEnumerator();
        }
        
        /// <summary>
        /// Gets the sequence of Certificates.
        /// </summary>
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return this.GetEnumerator();
        }
        
        /// <summary>
        /// A service certificate that is valid for your subscription.
        /// </summary>
        public partial class Certificate
        {
            private Uri _certificateUri;
            
            /// <summary>
            /// The Service Management API request URI used to perform Get
            /// Service Certificate requests against the certificate store.
            /// </summary>
            public Uri CertificateUri
            {
                get { return this._certificateUri; }
                set { this._certificateUri = value; }
            }
            
            private byte[] _data;
            
            /// <summary>
            /// The public part of the service certificate as a .cer file.
            /// </summary>
            public byte[] Data
            {
                get { return this._data; }
                set { this._data = value; }
            }
            
            private string _thumbprint;
            
            /// <summary>
            /// The X509 certificate thumb print property of the service
            /// certificate.
            /// </summary>
            public string Thumbprint
            {
                get { return this._thumbprint; }
                set { this._thumbprint = value; }
            }
            
            private string _thumbprintAlgorithm;
            
            /// <summary>
            /// The algorithm that was used to hash the service certificate.
            /// Currently SHA-1 is the only supported algorithm.
            /// </summary>
            public string ThumbprintAlgorithm
            {
                get { return this._thumbprintAlgorithm; }
                set { this._thumbprintAlgorithm = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the Certificate class.
            /// </summary>
            public Certificate()
            {
            }
        }
    }
}
