// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// The Get Data Disk operation response.
    /// </summary>
    public partial class VirtualMachineDiskGetDataDiskResponse : OperationResponse
    {
        private string _diskLabel;
        
        /// <summary>
        /// The description of the data disk.
        /// </summary>
        public string DiskLabel
        {
            get { return this._diskLabel; }
            set { this._diskLabel = value; }
        }
        
        private string _diskName;
        
        /// <summary>
        /// The name of the data disk.
        /// </summary>
        public string DiskName
        {
            get { return this._diskName; }
            set { this._diskName = value; }
        }
        
        private VirtualHardDiskHostCaching _hostCaching;
        
        /// <summary>
        /// The current value of the platform caching behavior of data disk
        /// blob for read/write efficiency. Possible values are: None,
        /// ReadOnly, ReadWrite.
        /// </summary>
        public VirtualHardDiskHostCaching HostCaching
        {
            get { return this._hostCaching; }
            set { this._hostCaching = value; }
        }
        
        private double _logicalDiskSizeInGB;
        
        /// <summary>
        /// The size, in GB, of the data disk.
        /// </summary>
        public double LogicalDiskSizeInGB
        {
            get { return this._logicalDiskSizeInGB; }
            set { this._logicalDiskSizeInGB = value; }
        }
        
        private int? _logicalUnitNumber;
        
        /// <summary>
        /// The Logical Unit Number (LUN) for the disk. The LUN specifies the
        /// slot in which the data drive appears when mounted for usage by the
        /// virtual machine.
        /// </summary>
        public int? LogicalUnitNumber
        {
            get { return this._logicalUnitNumber; }
            set { this._logicalUnitNumber = value; }
        }
        
        private Uri _mediaLinkUri;
        
        /// <summary>
        /// The location of physical blob backing the data disk. The blob
        /// location is in storage account in the subscription specified by
        /// the SubscriptionId value in the operation call.
        /// </summary>
        public Uri MediaLinkUri
        {
            get { return this._mediaLinkUri; }
            set { this._mediaLinkUri = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// VirtualMachineDiskGetDataDiskResponse class.
        /// </summary>
        public VirtualMachineDiskGetDataDiskResponse()
        {
        }
    }
}
