// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.MediaServices.Models;

namespace Microsoft.WindowsAzure.Management.MediaServices.Models
{
    /// <summary>
    /// The Get Media Services Account operation response.
    /// </summary>
    public partial class MediaServicesAccount
    {
        private string _accountKey;
        
        /// <summary>
        /// The Key of the Media Services account.
        /// </summary>
        public string AccountKey
        {
            get { return this._accountKey; }
            set { this._accountKey = value; }
        }
        
        private string _accountName;
        
        /// <summary>
        /// The Name of the Media Services account.
        /// </summary>
        public string AccountName
        {
            get { return this._accountName; }
            set { this._accountName = value; }
        }
        
        private string _accountRegion;
        
        /// <summary>
        /// The Region of the  Media Services account.
        /// </summary>
        public string AccountRegion
        {
            get { return this._accountRegion; }
            set { this._accountRegion = value; }
        }
        
        private MediaServicesAccount.AccountKeys _storageAccountKeys;
        
        /// <summary>
        /// The Storage Account keys of the Media Services account.
        /// </summary>
        public MediaServicesAccount.AccountKeys StorageAccountKeys
        {
            get { return this._storageAccountKeys; }
            set { this._storageAccountKeys = value; }
        }
        
        private string _storageAccountName;
        
        /// <summary>
        /// The Storage Account Name of the Media Services account.
        /// </summary>
        public string StorageAccountName
        {
            get { return this._storageAccountName; }
            set { this._storageAccountName = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the MediaServicesAccount class.
        /// </summary>
        public MediaServicesAccount()
        {
        }
        
        /// <summary>
        /// The key information associated with a Media Services Account.
        /// </summary>
        public partial class AccountKeys
        {
            private string _primary;
            
            /// <summary>
            /// The Primary key of the storage account associated with the
            /// Media Services account.
            /// </summary>
            public string Primary
            {
                get { return this._primary; }
                set { this._primary = value; }
            }
            
            private string _secondary;
            
            /// <summary>
            /// The Secondary key of the sotrage account associated with the
            /// Media Services account.
            /// </summary>
            public string Secondary
            {
                get { return this._secondary; }
                set { this._secondary = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the AccountKeys class.
            /// </summary>
            public AccountKeys()
            {
            }
        }
    }
}
