// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Management.Scheduler.Models;

namespace Microsoft.WindowsAzure.Management.Scheduler.Models
{
    /// <summary>
    /// Information about a retrieved Cloud Service.
    /// </summary>
    public partial class CloudServiceGetResponse : OperationResponse
    {
        private string _geoLocation;
        
        /// <summary>
        /// The location associated with the cloud service.
        /// </summary>
        public string GeoLocation
        {
            get { return this._geoLocation; }
            set { this._geoLocation = value; }
        }
        
        private IList<CloudServiceGetResponse.Resource> _resources;
        
        /// <summary>
        /// A collection of resources.
        /// </summary>
        public IList<CloudServiceGetResponse.Resource> Resources
        {
            get { return this._resources; }
            set { this._resources = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the CloudServiceGetResponse class.
        /// </summary>
        public CloudServiceGetResponse()
        {
            this._resources = new List<CloudServiceGetResponse.Resource>();
        }
        
        /// <summary>
        /// A resource.
        /// </summary>
        public partial class Resource
        {
            private string _eTag;
            
            /// <summary>
            /// ETag identifying the current entity revision on the server.
            /// </summary>
            public string ETag
            {
                get { return this._eTag; }
                set { this._eTag = value; }
            }
            
            private string _label;
            
            /// <summary>
            /// Label of the resource.
            /// </summary>
            public string Label
            {
                get { return this._label; }
                set { this._label = value; }
            }
            
            private string _name;
            
            /// <summary>
            /// A name for the resource. The name must be unique within the
            /// subscription ID and cloud service.
            /// </summary>
            public string Name
            {
                get { return this._name; }
                set { this._name = value; }
            }
            
            private IDictionary<string, string> _outputItems;
            
            public IDictionary<string, string> OutputItems
            {
                get { return this._outputItems; }
                set { this._outputItems = value; }
            }
            
            private string _plan;
            
            /// <summary>
            /// The plan of the resource.
            /// </summary>
            public string Plan
            {
                get { return this._plan; }
                set { this._plan = value; }
            }
            
            private string _resourceProviderNamespace;
            
            /// <summary>
            /// Namespace identifier for the resource provider.
            /// </summary>
            public string ResourceProviderNamespace
            {
                get { return this._resourceProviderNamespace; }
                set { this._resourceProviderNamespace = value; }
            }
            
            private string _schemaVersion;
            
            /// <summary>
            /// Optional version of the intrinsic properties for the resource.
            /// If not specified, you must conform to the default contract
            /// resource.
            /// </summary>
            public string SchemaVersion
            {
                get { return this._schemaVersion; }
                set { this._schemaVersion = value; }
            }
            
            private string _state;
            
            /// <summary>
            /// The current resource status.
            /// </summary>
            public string State
            {
                get { return this._state; }
                set { this._state = value; }
            }
            
            private string _subState;
            
            /// <summary>
            /// An optional, more detailed resource status.
            /// </summary>
            public string SubState
            {
                get { return this._subState; }
                set { this._subState = value; }
            }
            
            private string _type;
            
            /// <summary>
            /// The Type for the resource.
            /// </summary>
            public string Type
            {
                get { return this._type; }
                set { this._type = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the Resource class.
            /// </summary>
            public Resource()
            {
                this._outputItems = new Dictionary<string, string>();
            }
        }
    }
}
