// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.ServiceBus;

namespace Microsoft.WindowsAzure.Management.ServiceBus.Models
{
    /// <summary>
    /// The response to a query for the availability status of a namespace name.
    /// </summary>
    public partial class CheckNamespaceAvailabilityResponse : OperationResponse
    {
        private bool _isAvailable;
        
        /// <summary>
        /// Whether or not the namespace is available.
        /// </summary>
        public bool IsAvailable
        {
            get { return this._isAvailable; }
            set { this._isAvailable = value; }
        }
        
        private string _reasonDetails;
        
        /// <summary>
        /// The reason the namespace is unavailable.
        /// </summary>
        public string ReasonDetails
        {
            get { return this._reasonDetails; }
            set { this._reasonDetails = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// CheckNamespaceAvailabilityResponse class.
        /// </summary>
        public CheckNamespaceAvailabilityResponse()
        {
        }
    }
}
