// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure.Management.ServiceBus.Models;

namespace Microsoft.WindowsAzure.Management.ServiceBus.Models
{
    /// <summary>
    /// A response to a request for a particular namespace.
    /// </summary>
    public partial class NamespaceDescription
    {
        private string _authorizationType;
        
        /// <summary>
        /// The authorization type.
        /// </summary>
        public string AuthorizationType
        {
            get { return this._authorizationType; }
            set { this._authorizationType = value; }
        }
        
        private string _connectionString;
        
        /// <summary>
        /// Namespace connection string.  (see
        /// http://msdn.microsoft.com/en-us/library/windowsazure/jj873988.aspx
        /// for more information)
        /// </summary>
        public string ConnectionString
        {
            get { return this._connectionString; }
            set { this._connectionString = value; }
        }
        
        private string _keyName;
        
        /// <summary>
        /// Default ACS access key to generate the access token.  (see
        /// http://msdn.microsoft.com/en-us/library/windowsazure/jj873988.aspx
        /// for more information)
        /// </summary>
        public string KeyName
        {
            get { return this._keyName; }
            set { this._keyName = value; }
        }
        
        private IList<AccessRight> _rights;
        
        /// <summary>
        /// The rights associated with a namespace.
        /// </summary>
        public IList<AccessRight> Rights
        {
            get { return this._rights; }
            set { this._rights = value; }
        }
        
        private string _secondaryConnectionString;
        
        /// <summary>
        /// Secondary namespace connection string.
        /// </summary>
        public string SecondaryConnectionString
        {
            get { return this._secondaryConnectionString; }
            set { this._secondaryConnectionString = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the NamespaceDescription class.
        /// </summary>
        public NamespaceDescription()
        {
            this._rights = new List<AccessRight>();
        }
    }
}
