// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.WindowsAzure.Management.Sql.Models
{
    /// <summary>
    /// Parameters supplied to the Create Database Copy operation.
    /// </summary>
    public partial class DatabaseCopyCreateParameters
    {
        private bool _isContinuous;
        
        /// <summary>
        /// Whether the copy should be continuous.
        /// </summary>
        public bool IsContinuous
        {
            get { return this._isContinuous; }
            set { this._isContinuous = value; }
        }
        
        private bool _isForcedTerminate;
        
        /// <summary>
        /// Whether a Delete Database Operation will cause a forced or friendly
        /// termination.
        /// </summary>
        public bool IsForcedTerminate
        {
            get { return this._isForcedTerminate; }
            set { this._isForcedTerminate = value; }
        }
        
        private int? _maxLagInMinutes;
        
        /// <summary>
        /// The RPO for the continous copy operation.
        /// </summary>
        public int? MaxLagInMinutes
        {
            get { return this._maxLagInMinutes; }
            set { this._maxLagInMinutes = value; }
        }
        
        private string _partnerDatabase;
        
        /// <summary>
        /// The name of the destination database for the copy.
        /// </summary>
        public string PartnerDatabase
        {
            get { return this._partnerDatabase; }
            set { this._partnerDatabase = value; }
        }
        
        private string _partnerServer;
        
        /// <summary>
        /// The name of the destination server for the copy.
        /// </summary>
        public string PartnerServer
        {
            get { return this._partnerServer; }
            set { this._partnerServer = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the DatabaseCopyCreateParameters
        /// class.
        /// </summary>
        public DatabaseCopyCreateParameters()
        {
        }
    }
}
