// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure.Management.Sql;
using Microsoft.WindowsAzure.Management.Sql.Models;

namespace Microsoft.WindowsAzure.Management.Sql.Models
{
    /// <summary>
    /// Response containing the list of database copies for a given database.
    /// </summary>
    public partial class DatabaseCopyListResponse : OperationResponse, IEnumerable<DatabaseCopyResponse>
    {
        private IList<DatabaseCopyResponse> _databaseCopies;
        
        /// <summary>
        /// The matching SQL Server database copies.
        /// </summary>
        public IList<DatabaseCopyResponse> DatabaseCopies
        {
            get { return this._databaseCopies; }
            set { this._databaseCopies = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the DatabaseCopyListResponse class.
        /// </summary>
        public DatabaseCopyListResponse()
        {
            this._databaseCopies = new List<DatabaseCopyResponse>();
        }
        
        /// <summary>
        /// Gets the sequence of DatabaseCopies.
        /// </summary>
        public IEnumerator<DatabaseCopyResponse> GetEnumerator()
        {
            return this.DatabaseCopies.GetEnumerator();
        }
        
        /// <summary>
        /// Gets the sequence of DatabaseCopies.
        /// </summary>
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return this.GetEnumerator();
        }
    }
}
