// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.WindowsAzure.Management.Sql.Models
{
    /// <summary>
    /// Parameters supplied to the Create Database operation.
    /// </summary>
    public partial class DatabaseCreateParameters
    {
        private string _collationName;
        
        /// <summary>
        /// Gets or sets the collation name for the new database.
        /// </summary>
        public string CollationName
        {
            get { return this._collationName; }
            set { this._collationName = value; }
        }
        
        private string _edition;
        
        /// <summary>
        /// Gets or sets the edition for the new database.
        /// </summary>
        public string Edition
        {
            get { return this._edition; }
            set { this._edition = value; }
        }
        
        private long _maximumDatabaseSizeInGB;
        
        /// <summary>
        /// Gets or sets the maximum size of this database, in Gigabytes.
        /// </summary>
        public long MaximumDatabaseSizeInGB
        {
            get { return this._maximumDatabaseSizeInGB; }
            set { this._maximumDatabaseSizeInGB = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// Gets or sets the name for the new database.
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        private string _serviceObjectiveId;
        
        /// <summary>
        /// Gets or sets the id of this service objective.
        /// </summary>
        public string ServiceObjectiveId
        {
            get { return this._serviceObjectiveId; }
            set { this._serviceObjectiveId = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the DatabaseCreateParameters class.
        /// </summary>
        public DatabaseCreateParameters()
        {
        }
    }
}
